Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Cleaned up

  • Loading branch information...
commit ea58b4f01457d75e2428d5bb9d5b25e465f4f152 1 parent 4d958e3
Andreas Neuhaus authored
Showing with 12 additions and 15 deletions.
  1. +1 −1  MIT-LICENSE → LICENSE
  2. +11 −14 README.markdown → README.md
2  MIT-LICENSE → LICENSE
View
@@ -1,4 +1,4 @@
-Copyright (c) 2009 Andreas Neuhaus <zargony@zargony.com>
+Copyright (c) 2009 Andreas Neuhaus
Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
25 README.markdown → README.md
View
@@ -3,41 +3,38 @@ Rails plugin to fetch and update core translations
This Rails plugin adds Rails core translations to your application.
-Rails core translations are downloaded from http://github.com/svenfuchs/rails-i18n by default.
-
+Rails core translations are downloaded from <http://github.com/svenfuchs/rails-i18n> by default.
Install
-=======
+-------
- ./script/plugin install git://github.com/zargony/rails-i18n-updater.git
- rake i18n:update
+ $ ./script/plugin install git://github.com/zargony/rails-i18n-updater.git
+ $ rake i18n:update
This installs the rails-i18n-updater plugin into `vendor/plugins/rails-i18n-updater` and
downloads core translations to `vendor/rails-locales`.
-
Update
-======
+------
To update to the latest core translations, use:
- rake i18n:update
-
+ $ rake i18n:update
How it works
-============
+------------
The plugin provides the rake task `i18n:update` which uses `git` to download the latest core translations to `vendor/rails-locales`. This rake task can be started manually whenever you want to update to the latest core translations.
On application start, the plugin automatically adds downloaded core translations to `I18n.load_path`. Only locales you used in your applications are added and they're prepended to the load path so you can override the defaults in your own locale files.
-
Limitations
-===========
+-----------
- You need `git` in your PATH for `rake i18n:update` to work correctly.
- Your application must use the simple I18n backend (using .yml or .rb files for locales).
+Author
+------
-
-_Copyright (c) 2009 Andreas Neuhaus, released under the MIT license_
+Andreas Neuhaus :: <http://zargony.com/>
Please sign in to comment.
Something went wrong with that request. Please try again.